Name:          usermode
Version:       1.114
Release:       2
Summary:       Tools for certain user account management tasks
License:       GPLv2+
URL:           https://pagure.io/usermode/
Source:        https://releases.pagure.org/usermode/usermode-%{version}.tar.xz
Source1:       config-util

Requires:      pam passwd util-linux
BuildRequires: gcc
BuildRequires: desktop-file-utils gettext intltool perl-XML-Parser util-linux
BuildRequires: glib2-devel gtk2-devel libblkid-devel libSM-devel libselinux-devel libuser-devel
BuildRequires: pam-devel startup-notification-devel

Provides:      %{name}-gtk = %{version}-%{release}
Obsoletes:     %{name}-gtk < %{version}-%{release}

%description
usermode contains the userhelper program, which can be used to allow configured
programs to be run with superuser privileges by ordinary users, and several
graphical tools for users:
* userinfo allows users to change their finger information.
* usermount lets users mount, unmount, and format filesystems.
* userpasswd allows users to change their passwords.


%package help
Summary: Man pages for usermode

%description help
Package help includes man pages for usermode.

%prep
%autosetup -n %{name}-%{version} -p1

%build
%configure --with-selinux
%make_build VENDOR=openeuler


%install
%make_install VENDOR=openeuler

# make userformat symlink to usermount
%{__ln_s} usermount %{buildroot}%{_bindir}/userformat
%{__ln_s} usermount.1 %{buildroot}%{_mandir}/man1/userformat.1

install -D -p -m 644 %{SOURCE1} %{buildroot}/etc/security/console.apps/config-util

for i in openeuler-userinfo.desktop openeuler-userpasswd.desktop openeuler-usermount.desktop; do
        echo 'NotShowIn=GNOME;KDE;' >>%{buildroot}%{_datadir}/applications/$i
        desktop-file-install --vendor openeuler --delete-original \
        --dir %{buildroot}%{_datadir}/applications \
        %{buildroot}%{_datadir}/applications/$i
done

%find_lang %{name}

%files -f %{name}.lang
%doc COPYING ChangeLog NEWS README
%attr(4711,root,root) /usr/sbin/userhelper
%{_bindir}/*
%{_datadir}/usermode
%{_datadir}/pixmaps/*
%{_datadir}/applications/*
%config(noreplace) /etc/security/console.apps/config-util

%files help
%{_mandir}/man1/*
%{_mandir}/man8/*

%changelog
* Thu Oct 20 2022 zhouchenchen <zhouchenchen@huawei.com> - 1.114-2
- update version to 1.114-2

* Tue Nov 30 2021 wangjie <wangjie375@huawei.com> - 1.114-1
- Type:enhancement
- ID:NA
- SUG:NA
- DESC:Update usermode to 1.114

* Thu May 27 2021 panxiaohe <panxiaohe@huawei.com> - 1.113-3
- Add gcc to BuildRequires

* Thu Jul 30 2020 shenyangyang <shenyangyang4@huawei.com> - 1.113-2
- Do not use deprecated flask.h and av_permissions

* Fri Jul 24 2020 Hugel <gengqihu1@huawei.com> - 1.113-1
- Update to 1.113

* Tue Mar 17 2020 openEuler Buildteam <buildteam@openeuler.org> - 1.112-8
- Add Source1

* Sat Jan 4 2020 openEuler Buildteam <buildteam@openeuler.org> - 1.112-7
- Delete redundant file

* Tue Dec 31 2019 openEuler Buildteam <buildteam@openeuler.org> - 1.112-6
- Delete unneeded patch

* Wed Dec 25 2019 openEuler Buildteam <buildteam@openeuler.org> - 1.112-5
- Add provides of usermode-gtk

* Fri Sep 20 2019 Zaiwang Li <lizaiwang1@huawei.com> - 1.112-4
- Init Package
